#include <iostream>

using namespace std;

int main(){
    int j, d, t[1000], c[1000];
    cin>>j;
    cin>>d;
    int i=0;
    for(i=0; i<j; i++){
        cin>>t[i];
    }
    for(i=0; i<d; i++){
        cin>>c[i];
    }
    cout<<0<<endl<<1<<endl<<5;
}